apropos {utils} | R Documentation

## Find Objects by (Partial) Name

### Description

`apropos()` returns a character vector giving the names of objects in the search list matching (as a regular expression) `what`.

`find()` returns where objects of a given name can be found.

### Usage

    apropos(what, where = FALSE, ignore.case = TRUE, mode = "any")

    find(what, mode = "any", numeric = FALSE, simple.words = TRUE)

### Arguments

`what` | character string. For `simple.words = FALSE` the name of an object; otherwise a regular expression to match object names against.
`where, numeric` | a logical indicating whether positions in the search list should also be returned
`ignore.case` | logical indicating if the search should be case-insensitive, `TRUE` by default.
`mode` | character; if not `"any"`, only objects whose `mode` equals `mode` are searched.
`simple.words` | logical; if `TRUE`, the `what` argument is only searched as a whole word.

### Details

If `mode != "any"` only those objects which are of mode `mode` are considered.

`find` is a different user interface for a similar task to `apropos`. By default (`simple.words == TRUE`), only whole names are matched. Unlike `apropos`, matching is always case-sensitive.

Unlike the default behaviour of `ls`, names which begin with a . are included (and these are often ‘internal’ objects — as from R 3.4.0 most such are excluded).

### Value

For `apropos`, a character vector sorted by name. For `where = TRUE` this has names giving the (numerical) positions on the search path.

For `find`, either a character vector of environment names or (for `numeric = TRUE`) a numerical vector of positions on the search path with names the names of the corresponding environments.

### Author(s)

Originally, Kurt Hornik and Martin Maechler (May 1997).

### See Also

`glob2rx` to convert wildcard patterns to regular expressions.

`objects` for listing objects from one place, `help.search` for searching the help system, `search` for the search path.

### Examples

    require(stats)

    ## Not run: apropos("lm")
    apropos("GLM")                      # several
    apropos("GLM", ignore.case = FALSE) # not one
    apropos("lq")

    cor <- 1:pi
    find("cor")                         #> ".GlobalEnv"   "package:stats"
    find("cor", numeric = TRUE)                     # numbers with these names
    find("cor", numeric = TRUE, mode = "function")  # only the second one
    rm(cor)

    ## Not run: apropos(".", mode="list")  # a long list

    # need a DOUBLE backslash '\\' (in case you don't see it anymore)
    apropos("\\[")

    # everything % not diff-able
    length(apropos("."))

    # those starting with 'pr'
    apropos("^pr")

    # the 1-letter things
    apropos("^.$")
    # the 1-2-letter things
    apropos("^..?$")
    # the 2-to-4 letter things
    apropos("^.{2,4}$")

    # the 8-and-more letter things
    apropos("^.{8,}$")
    table(nchar(apropos("^.{8,}$")))

[Package utils version 3.4.2 Index]